<script setup>
import { ShowPage } from '@/app/core/pages/crud';
import model from '@/modules/shop/models/shop';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Item from '@/app/components/crud/http/Item.vue';
</script>

<script>
export default {
    data() {
        return new ShowPage({
            context: this,
            title: this.__('Просмотр'),
            titleField: 'name',
            breadcrumbs: [
                {
                    label: this.__('Магазины'),
                    path: 'shop/shop',
                },
            ],
            model: model,
            http: {
                path: 'shop/shop/:id',
                query: {
                    'with[0]': 'agent',
                    'with[1]': 'city.region',
                    'with[2]': 'company',
                    'with[3]': 'last_report',
                    'with[4]': 'suppliers',
                    'with[5]': 'contacts',
                    'with[6]': 'brands',
                },
            },
        });
    },
};
</script>

<template>
    <PageTitle :text="title" />
    <Item child="show" />
</template>
